# This file created by conda-build 3.12.1
# meta.yaml template originally from:
# Origin b'https://github.intel.com/SAT/matplotlib-recipe.git', commit b'33907663dbf42bbb3757b42feddd50875481f9fc'
# ------------------------------------------------

package:
    name: matplotlib
    version: 2.2.3
source:
    git_rev: v2.2.3
    git_url: https://github.com/matplotlib/matplotlib
    patches:
        - cfg_notests.patch
        - osx-frame.patch
build:
    number: '0'
    string: py36_0
requirements:
    host:
        - bzip2 1.0.6 17
        - certifi 2018.1.18 py36_2
        - cycler 0.10.0 py36_7
        - freetype 2.9 3
        - icc_rt 2019.1 intel_131
        - intel-openmp 2019.1 intel_131
        - intelpython 2019.1 0
        - libpng 1.6.35 0
        - mkl 2019.1 intel_131
        - nose 1.3.7 py36_18
        - numpy-base 1.15.2 py36_0
        - numpy-devel 1.15.2 py36_0
        - openssl 1.0.2p 0
        - pkg-config 0.29.2 h3efe00b_7
        - pyparsing 2.2.0 py36_2
        - python 3.6.5 11
        - python-dateutil 2.6.0 py36_12
        - pytz 2018.4 py36_3
        - setuptools 39.0.1 py36_0
        - six 1.11.0 py36_3
        - sqlite 3.23.1 1
        - tbb 2019.2 intel_131
        - tbb4py 2019.2 py36_intel_0
        - tcl 8.6.4 20
        - tk 8.6.4 28
        - tornado 4.5.2 py36_5
        - xz 5.2.3 2
        - zlib 1.2.11 5
    run:
        - cycler
        - freetype 2.9.*
        - intelpython >=2019.0
        - kiwisolver
        - libpng 1.6.*
        - numpy >=1.15.2,<2.0a0
        - pyparsing
        - python >=3.6,<3.7.0a0
        - python-dateutil
        - pytz
        - tcl
test:
    imports:
        - matplotlib
    requires:
        - mock
        - nose
about:
    description: 'matplotlib is a python 2D plotting library which produces publication

        quality figures in a variety of hardcopy formats and interactive

        environments across platforms. matplotlib can be used in Python scripts,

        the Python and IPython shell (ala MATLAB or Mathematica), web

        application servers, and six graphical user interface toolkits.

        '
    dev_url: https://github.com/matplotlib/matplotlib
    doc_url: http://matplotlib.org/contents.html#
    home: http://matplotlib.org/
    license: PSF-based (http://matplotlib.sourceforge.net/users/license.html)
    license_family: PSF
    license_file: LICENSE/LICENSE
    summary: Python 2D plotting library
extra:
    copy_test_source_files: true
    final: true
